/*
 * Copyright (c) 2007 by ePublishing
 *   All rights reserved.
 *
 * Author: Robert James Kaes <rkaes@ePublishing.com>
 *
 */

$(document).ready(function(){
    // Set up the font resizing logic
    $('#article-font-increase').click(function(){
        return article_font_resize($('#body'), 'larger');
    });
    $('#article-font-decrease').click(function(){
        return article_font_resize($('#body'), 'smaller');
    });


    // Set up the photo-gallery-slide window opening code
    /* $('a.photo-gallery-slide').click(popup_display_gallery); */
    /* $('a.enlarged-image').click(popup_display_image); */
});


/*
 * Resize the fonts in the article based on the change information supplied.
 */
function article_font_resize(element, change)
{
    var multiplier = change == "larger" ? 1.5 : 0.66;

    // Cascade the size change down into the children as well.
    var children = element.children();
    if (children.length) {
        children.each(function(){
            article_font_resize($(this), change);
        });
    }

    var font_size = element.css('font-size');
    var m = font_size.match('^([0-9]*)(.*)$');
    if (m.length) {
        var size = m[1];
        var units = m[2];

        size = parseInt(size * multiplier);
        element.css('font-size', size + units);
    }
    
    return false; /* prevent the link from being followed */
}


/* Pop up a new window */
function popup_display_gallery()
{
    var url = $(this).attr("href");

    var popup_window = window.open(url, "popupWindow",
        "height=690,width=1000,scrollbars,resizable");
       
    popup_window.focus();

    return false; // don't follow the link in the main window
}

function popup_display_gallery_direct(url)
{
    var popup_window = window.open(url, "popupWindow",
        "height=690,width=1000,scrollbars,resizable");
       
    popup_window.focus();

    return false; // don't follow the link in the main window
}

/* Pop up a new window */
function popup_display_image()
{
    var url = $(this).attr("href");

    var popup_window = window.open(url, "popupWindow",
        "height=1000,width=850,scrollbars,resizable");
       
    popup_window.focus();

    return false; // don't follow the link in the main window
}

/* Pop up a new window */
function popup_display_image_direct(url)
{

    var popup_window = window.open(url, "popupWindow_display",
        "height=1000,width=850,scrollbars,resizable");
       
    popup_window.focus();

    return false; // don't follow the link in the main window
}
